Subject: Re: bug#54970: 28.1; Some emoji no longer display

From: Howard Melman <[email-masked]>
Date: Sat, 16 Apr 2022 16:07:38 -0400

> On Apr 16, 2022, at 3:22 PM, Eli Zaretskii <[email-masked]> wrote:
>> 
>> It's not?  I don't know anything about emojis in Unicode other than
>> it's more complicated than anyone would expect, but I see it in:
>> http://git.savannah.gnu.org/cgit/emacs.git/tree/admin/unidata/emoji-sequences.txt?h=emacs-28
>> 
>> 1F37D FE0F    ; Basic_Emoji                  ; fork and knife with plate                                      # E0.7   [1] (🍽️)
>> 
>> Or am I misunderstanding something?
> 
> Your recipe didn't mention the U+FE0F codepoint.  You only talked
> about the lone U+1F37D.  When followed by U+FE0F, Emacs indeed ought
> to display the sequence as Emoji, and that should not require you to
> change the font used for the 'symbol' pseudo-script.  Are you saying
> that isn't happening in your case?

Indeed in Emacs 28 -Q if I

C-x 8 RET FORK AND KNIFE WITH PLATE RET
C-x 8 RET FE0F RET

I see the emoji displayed.

If I use the system emoji selector to insert a character into emacs
It only puts in "the lone U+1F37D" (at least in emacs where I can
check). In other apps this displays as an emoji, in emacs it's a blank.

I said, I don't understand this stuff.  Is this extra codepoint supposed
to be added for me?  It doesn't seem like other apps require it.

I know this, in Emacs 27 macport I used C-x 8 RET and searched for plate
and entered this character into a file and it displayed as an emoji.
Several others I entered this way displayed fine too.  I upgraded to
Emacs 28 and the other characters display fine and this one didn't.  
I followed the instructions in NEWS and they didn't help.

If the answer is just, this kind of emoji is different (though nothing else
really exposes to it me as different), then I think the instructions (in NEWS
or wherever) should just tell me to 

(set-fontset-font t 'symbol '("My New Emoji Font" . "iso10646-1") nil 'prepend)

and not

(set-fontset-font t 'emoji '("My New Emoji Font" . "iso10646-1") nil 'prepend)

But I'd really like to understand the difference.

Howard